- Home
- API Enriched
- Users
- config
- GET
GET
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/known_label_keys?query=QUERY_ALL_LABEL_KEYS';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/known_label_keys?query=QUERY_ALL_LABEL_KEYS' \ --header 'Authorization: <Authorization>'GET is generic label key query. Two types of queries are supported Return label with exact matching entry label key. Return list of labels that have prefix of label key . Returns list of label keys. Query will look into current tenants shared namespace and VES-I/O shared.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace in which to retrieve the label key.
Query Parameters
Section titled “Query Parameters”Query Type
Generic GET of all available labels for a given tenant GET exact match of label.key = label.value Or label.key(label.value) GET prefix match of label.key.
Key to retrieve.
Responses
Section titled “Responses”A successful response.
Response for GET API.
object
Label Key
Generic Label key type label.key.
object
Description of what this label key means.
Label key
Examplegenerated
{ "label_key": [ { "description": "example", "key": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example